DROP TABLE IF EXISTS books;
CREATE TABLE books (
id INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
name VARCHAR( 100 ) NOT NULL ,
author VARCHAR( 100 ) NULL ,
date_updated DATETIME NOT NULL
);

DROP TABLE IF EXISTS reviews;
CREATE TABLE reviews (
id INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
date_created DATETIME NOT NULL ,
book_id INT NOT NULL ,
user_name VARCHAR(50) NOT NULL ,
body MEDIUMTEXT NOT NULL ,
rating INT NULL
);


TRUNCATE books;
TRUNCATE reviews;

INSERT INTO books (id,name,author,date_updated)
VALUES 
('1', 'Beginning PHP and MySQL: From Novice to Professional', 'W. Jason Gilmore','2008-03-24 00:00:00'),
('2', 'Programming PHP', 'Rasmus Lerdorf, Kevin Tatroe, and Peter MacIntyre','2006-04-28 00:00:00'),
('3', 'PHP for the World Wide Web, Third Edition', 'Larry Ullman','2008-12-22 00:00:00'),
('4', 'Head First PHP and MySQL', 'Lynn Beighley and Michael Morrison','2008-12-30 00:00:00'),
('5', 'PHP Cookbook', 'Adam Trachtenberg and David Sklar','2006-08-22 00:00:00'),
('6', 'Practical Web 2.0 Applications with PHP', 'Quentin Zervaas','2007-12-20 00:00:00'),
('7', 'PHP Objects, Patterns, and Practice, Second Edition', 'Matt Zandstra','2007-12-20 00:00:00'),
('8', 'Web Database Applications with PHP and MySQL', 'Hugh E. Williams and David Lane','2004-05-16 00:00:00')
;

INSERT INTO reviews (date_created, book_id, user_name, body, rating)
VALUES
('2009-02-24 00:00:00',8, 'michh', 'Great book about PHP... I recommend!', 5),
('2009-05-14 20:01:00',8, 'jane', 'An excellent book!', 4),
('2009-05-14 20:01:00',1, 'josh', 'Great purchase. I recommend on buying it!', 4),
('2009-05-14 20:01:00',1, 'cary', 'Great book for everyday student!', 5),
('2009-01-20 05:04:00',2, 'gogo23', 'I dont like this book... I recommend to avoid it!', 2)
;